<?php
require_once("../includes/bootstrap2.php");
$sesion = new sesion(); // inicio la sesion

if(!headers_sent())
    ob_start("ob_gzhandler");

if (!comprobar_sesion()) {
    $responce->page = 0;
    $responce->total = 0;
    $responce->records = 0;
    echo json_encode($responce);
    exit();
}

$academia = bootstrap::initBd($sesion->get('anio'));

$grupo=(int) $_GET["cdgr"];

$SQL = 'SELECT
aca_estudiantes.cod_estudiante AS cd,
LCASE(CONCAT_WS(" ",aca_estudiantes.apellido1_est, aca_estudiantes.apellido2_est, aca_estudiantes.nombre1_est , aca_estudiantes.nombre2_est)) AS nomape,
LCASE(aca_asignaturas.nom_asi) AS nomasi,
FORMAT(AVG(aca_notasxdes.nota_definitiva_numeros),1) AS nfinmat,
(SELECT FORMAT(nota_max,1) FROM aca_detalles_escalas WHERE aca_detalles_escalas.aprueba="N" AND aca_detalles_escalas.id_escala=aca_asignaturasxgrupos.id_escala LIMIT 1) AS npier,
aca_estudiantesxgrupos.aprobo,aca_estudiantesxgrupos.observaciones as observa,
aca_estudiantesxgrupos.cod_estudiantes_grupos AS cd_estxgrup
FROM 
aca_estxasigxgrupos      
INNER JOIN aca_asignaturasxgrupos ON (aca_estxasigxgrupos.cod_asigxgrupo = aca_asignaturasxgrupos.cod_asigxgrupo)
INNER JOIN aca_notasxdes ON (aca_notasxdes.cod_estxasigxgrupos = aca_estxasigxgrupos.cod_estxasigxgrupos)
INNER JOIN aca_estudiantes ON (aca_estxasigxgrupos.cod_estudiante = aca_estudiantes.cod_estudiante)
INNER JOIN aca_asignaturas ON (aca_asignaturasxgrupos.cod_asi = aca_asignaturas.cod_asi)
INNER JOIN aca_estudiantesxgrupos ON aca_estudiantesxgrupos.cod_estudiante = aca_estxasigxgrupos.cod_estudiante
WHERE (aca_estudiantesxgrupos.cod_grupo ='.$grupo.' AND aca_asignaturasxgrupos.promediar=1 and aca_estudiantes.estado_est="1" )
GROUP BY aca_estxasigxgrupos.cod_estudiante, aca_estxasigxgrupos.cod_asigxgrupo
ORDER BY aca_estudiantes.apellido1_est, aca_estudiantes.apellido2_est, aca_estudiantes.nombre1_est , aca_estudiantes.nombre2_est, aca_estxasigxgrupos.cod_estudiante, aca_asignaturas.pri_asi;';
#echo "kjaf". $SQL;  AND aca_estudiantes.matriculado="S"   
$academia->instruccion($SQL, 1);
#$responce->rows['sql']=$SQL;

$mayus_nom = $sesion->getVar('configuracion.format_nom');
$i = -1;
$ban=0;
$aux=0;
$naux=0;
while ($row = $academia->extraer_registro()) {
    if($ban!=$row['cd']){
        $ban=$row['cd'];
        $i++;
        $aux=0;
    }
    if($i<1){
        /* @var $responce type */
        /* @var $mayus_mat string */
        $responce->nommats[]=array('nm'=> formatoPalabras($row["nomasi"],$mayus_mat),np=>$row["npier"]);
    }
    
    $responce->rows[$i]['nomest'] = formatoPalabras($row['nomape'], $mayus_nom);
    $responce->rows[$i]['estado'] = $row['aprobo'];
    $responce->rows[$i]['observa'] = empty($row['observa']) ? "" : $row['observa'];
    $responce->rows[$i]['id'] = $row['cd_estxgrup']; 
    
    $responce->rows[$i]['mat'.$aux++] = (float)$row['nfinmat'];
}
$academia->liberar(); 
$academia->cerrar();
header("Content-type:application/json");
echo json_encode($responce); 

?>
